Subject: Re: python 2.0, cygwin & readline - undefined symbols
From: Jason Tishler <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Sun, 11 Mar 2001 17:52:02 -0500

Gerrit,

On Sun, Mar 11, 2001 at 06:06:44PM +0100, Gerrit P. Haase wrote:
> <Am 2001-03-10 22:32 wars, als Jason Tishler schrieb:>
> < Re: python 2.0, cygwin & readline - >
> 
> > After updating your Cygwin setup...
> [...] 
> > .. can you build Python 2.1b1 now?
> 
> I got several times this warning:
> In file included from /usr/include/unistd.h:4,
>                  from Python/import.c:19:
> /usr/include/sys/unistd.h:237: warning: `MAXPATHLEN' redefined

I get this too, but it's just a warning.  So, why worry? :,)

> some other warnings, plus most problems as make tries to build extensions,
> most because of undefined references:
> 
> WARNING: building of extension "struct" failed: command 'gcc' failed with exit status 1

Please provide me with more details than the above.  Specifically,
I would like to see the output from the compilation and link (if
appropriate) lines.  Without this information, I cannot help you.

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple